## org.hibernate.transform
Class AliasToEntityMapResultTransformer

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter
          org.hibernate.transform.AliasToEntityMapResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer

    public class AliasToEntityMapResultTransformer

extends BasicTransformerAdapter
implements Serializable

`ResultTransformer` implementation which builds a map for each "row", made up of each aliased value where the alias is the map key.

Since this transformer is stateless, all instances would be considered equal. So for optimization purposes we limit it to a single, singleton `instance`.

Author:
  Gavin King, Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static AliasToEntityMapResultTransformer` `INSTANCE`

Method Summary
`Object` `transformTuple(Object[] tuple, String[] aliases)` Tuples are the elements making up each "row" of the query result.

Methods inherited from class org.hibernate.transform.BasicTransformerAdapter
`transformList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final AliasToEntityMapResultTransformer INSTANCE

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Tuples are the elements making up each "row" of the query result. The contract here is to transform these elements into the final row.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Overrides:
    `transformTuple` in class `BasicTransformerAdapter`
  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.